{
  $Project$
  $Workfile$
  $Revision$
  $DateUTC$
  $Id$

  This file is part of the Indy (Internet Direct) project, and is offered
  under the dual-licensing agreement described on the Indy website.
  (http://www.indyproject.org/)

  Copyright:
   (c) 1993-2005, Chad Z. Hower and the Indy Pit Crew. All rights reserved.
}
{
  $Log$
}
{
  Rev 1.11    1/9/2005 6:08:30 PM  JPMugaas
  New FSP Messages.

  Rev 1.10    24.08.2004 18:01:42  Andreas Hausladen
  Added AttachmentBlocked property to TIdAttachmentFile.

  Rev 1.9    7/29/2004 2:15:32 AM  JPMugaas
  New property for controlling what AUTH command is sent.  Fixed some minor
  issues with FTP properties.  Some were not set to defaults causing
  unpredictable results -- OOPS!!!

  Rev 1.8    7/28/2004 8:26:48 AM  JPMugaas
  Further work on the SMTP Server.  Not tested yet.

  Rev 1.7    7/16/2004 4:28:44 AM  JPMugaas
  CCC Support in TIdFTP to complement that capability in TIdFTPServer.

  Rev 1.6    7/13/2004 3:31:20 AM  JPMugaas
  Messages for a new FTP server feature, CCC.

  Rev 1.5    6/20/2004 8:17:20 PM  JPMugaas
  Message for FTP Deflate FXP.

  Rev 1.4    6/16/04 12:52:36 PM  RLebeau
  Changed wording of RSPOP3SvrInternalError

  Rev 1.2    3/2/2004 6:38:58 AM  JPMugaas
  Stuff for more comprehensive help in the FTP Server.

  Rev 1.1    2/3/2004 4:12:28 PM  JPMugaas
  Fixed up units so they should compile.

  Rev 1.0    2004.02.03 7:46:06 PM  czhower
  New names

  Rev 1.26    2/1/2004 4:47:50 AM  JPMugaas
  Resource strings from the MappedPort units.

  Rev 1.25    1/5/2004 11:53:32 PM  JPMugaas
  Some messages moved to resource strings.  Minor tweeks.  EIdException no
  longer raised.

  Rev 1.24    30/12/2003 23:27:22  CCostelloe
  Added RSIMAP4DisconnectedProbablyIdledOut

  Rev 1.23    11/28/2003 4:10:10 PM  JPMugaas
  RS for empty names in FTP upload.

  Rev 1.22    11/13/2003 5:44:38 PM  VVassiliev
  Add RSQueryInvalidIpV6 for DNSResolver

  Rev 1.21    10/20/2003 12:58:18 PM  JPMugaas
  Exception messages moved to RS.

    Rev 1.20    10/17/2003 1:15:26 AM  DSiders
  Added resource strings used in Message Client, HTTP, IMAP4.

  Rev 1.19    2003.10.14 1:28:00 PM  czhower
  DotNet

  Rev 1.18    10/9/2003 10:15:46 AM  JPMugaas
  FTP SSCN FXP Message.

  Rev 1.17    9/8/2003 02:24:36 AM  JPMugaas
  New message for custom FTP Proxy support.

    Rev 1.16    8/10/2003 11:05:22 AM  BGooijen
  fixed typo

  Rev 1.15    6/17/2003 03:14:38 PM  JPMugaas
  FTP Structured help message.

  Rev 1.14    6/17/2003 09:08:00 AM  JPMugaas
  Improved SITE HELP handling.

  Rev 1.13    10/6/2003 4:07:14 PM  SGrobety
  IdCoder3to4 addition for exception handling

  Rev 1.12    6/9/2003 05:14:54 AM  JPMugaas
  Fixed crical error.
  Supports HDR and OVER commands defined in
  http://www.ietf.org/internet-drafts/draft-ietf-nntpext-base-18.txt if feature
  negotiation indicates that they are supported.
  Added XHDR data parsing routine.
  Added events for when we receive a line of data with XOVER or XHDR as per
  John Jacobson's request.

  Rev 1.11    6/8/2003 02:59:26 AM  JPMugaas
  RFC 2449 and RFC 3206 support.

  Rev 1.10    5/22/2003 05:26:08 PM  JPMugaas
  RFC 2034

  Rev 1.9    5/19/2003 08:12:46 PM  JPMugaas
  Strings for IdPOP3Reply unit.

  Rev 1.8    5/8/2003 03:18:20 PM  JPMugaas
  Flattened ou the SASL authentication API, made a custom descendant of SASL
  enabled TIdMessageClient classes.

  Rev 1.7    5/8/2003 02:18:12 AM  JPMugaas
  Fixed an AV in IdPOP3 with SASL list on forms.  Made exceptions for SASL
  mechanisms missing more consistant, made IdPOP3 support feature feature
  negotiation, and consolidated some duplicate code.

  Rev 1.6    3/27/2003 05:46:44 AM  JPMugaas
  Updated framework with an event if the TLS negotiation command fails.
  Cleaned up some duplicate code in the clients.

  Rev 1.5    3/19/2003 02:42:18 AM  JPMugaas
  Added more strings for the SMTP server.

  Rev 1.4    3/17/2003 02:28:32 PM  JPMugaas
  Updated with some TLS strings.

  Rev 1.3    3/9/2003 02:11:48 PM  JPMugaas
  Removed server support for MODE B and MODE C.  It turns out that we do not
  support those modes properly.  We only implemented Stream mode.  We now
  simply return a 504 for modes we don't support instead of a 200 okay.  This
  was throwing off Opera 7.02.

  Rev 1.2    2/24/2003 07:55:16 PM  JPMugaas
  Added /bin/ls strings to make the server look mroe like Unix.

  Rev 1.1    2/16/2003 10:51:00 AM  JPMugaas
  Attempt to implement:

  http://www.ietf.org/internet-drafts/draft-ietf-ftpext-data-connection-assuranc
  e-00.txt

  Currently commented out because it does not work.

  Rev 1.0    11/13/2002 07:59:36 AM  JPMugaas
}
{ : 2008 PoleSoft Technologies Group                              }
{              http://www.polesoft.ru                                        }

unit IdResourceStringsProtocols;

interface

{$i IdCompilerDefines.inc}

resourcestring
  // General
  RSIOHandlerPropInvalid = ' IOHandler - ';

  //FSP
  RSFSPNotFound = '  ';
  RSFSPPacketTooSmall = '  ';

  //SASL

  RSASLNotSupported = '  AUTH  SASL handlers  !!';
  RSASLRequired = '  SASL    !!';
  RSASLNotValidForProt = '  -    .';

  //TIdSASLDigest
  RSSASLDigestMissingAlgorithm = 'missing   challange.';
  RSSASLDigestInvalidAlgorithm = '   challange.';
  RSSASLDigestAuthConfNotSupported = 'auth-conf   .';
  //  TIdEMailAddress
  RSEMailSymbolOutsideAddress = '@  ';
  //ZLIB Intercept
  RSZLCompressorInitializeFailure = '   ';
  RSZLDecompressorInitializeFailure = '   ';
  RSZLCompressionError = ' ';
  RSZLDecompressionError = ' ';
  //Winsock 2 Stub
  //MIME Types
  RSMIMEExtensionEmpty = ' - ';
  RSMIMEMIMETypeEmpty = 'Mimetype - ';
  RSMIMEMIMEExtAlreadyExists = '  ';
  // IdRegister
  RSRegSASL = 'Indy SASL';
  // Status Strings
  // TIdTCPClient
  // Message Strings
  RSIdMessageCannotLoad = '      %s';

  // MessageClient Strings
  RSMsgClientEncodingText = ' ';
  RSMsgClientEncodingAttachment = ' ';
  RSMsgClientUnkownMessagePartType = ' Message Part Type.';
  RSMsgClientInvalidEncoding = ' . UU      .';
  RSMsgClientInvalidForTransferEncoding = '      ,    ContentTransferEncoding.';

  // NNTP Exceptions
  RSNNTPConnectionRefused = '    NNTP .';
  RSNNTPStringListNotInitialized = 'Stringlist  !';
  RSNNTPNoOnNewsgroupList = '   OnNewsgroupList.';
  RSNNTPNoOnNewGroupsList = '   OnNewGroupsList.';
  RSNNTPNoOnNewNewsList = '   OnNewNewsList.';
  RSNNTPNoOnXHDREntry = '   OnXHDREntry.';
  RSNNTPNoOnXOVER = '   OnXOVER.';

  // HTTP Status
  RSHTTPChunkStarted = ' ';
  RSHTTPContinue = '';
  RSHTTPSwitchingProtocols = ' ';
  RSHTTPOK = 'OK';
  RSHTTPCreated = '';
  RSHTTPAccepted = '';
  RSHTTPNonAuthoritativeInformation = ' ';
  RSHTTPNoContent = ' ';
  RSHTTPResetContent = ' ';
  RSHTTPPartialContent = ' ';
  RSHTTPMovedPermanently = ' ';
  RSHTTPMovedTemporarily = ' ';
  RSHTTPSeeOther = ' ';
  RSHTTPNotModified = ' ';
  RSHTTPUseProxy = '. ';
  RSHTTPBadRequest = ' ';
  RSHTTPUnauthorized = ' ';
  RSHTTPForbidden = '';
  RSHTTPNotFound = ' ';
  RSHTTPMethodNotallowed = '  ';
  RSHTTPNotAcceptable = '';
  RSHTTPProxyAuthenticationRequired = '   ';
  RSHTTPRequestTimeout = 'Request Timeout';
  RSHTTPConflict = '';
  RSHTTPGone = '';
  RSHTTPLengthRequired = 'Length ';
  RSHTTPPreconditionFailed = ' Precondition';
  RSHTTPRequestEntityToLong = 'Request Entity To Long';
  RSHTTPRequestURITooLong = 'Request-URI  .  256 ';
  RSHTTPUnsupportedMediaType = '  ';
  RSHTTPExpectationFailed = '  ';
  RSHTTPInternalServerError = '  ';
  RSHTTPNotImplemented = '';
  RSHTTPBadGateway = ' ';
  RSHTTPServiceUnavailable = ' ()  ';
  RSHTTPGatewayTimeout = ' ';
  RSHTTPHTTPVersionNotSupported = ' HTTP  ';
  RSHTTPUnknownResponseCode = '  ';
  // HTTP Other
  RSHTTPUnknownProtocol = ' ';
  RSHTTPMethodRequiresVersion = '   HTTP  1.1';
  RSHTTPHeaderAlreadyWritten = '  .';
  RSHTTPErrorParsingCommand = '   .';
  RSHTTPUnsupportedAuthorisationScheme = '  .';
  RSHTTPCannotSwitchSessionStateWhenActive = '    ,   .';
  //HTTP Authentication
  RSHTTPAuthAlreadyRegistered = '       %s.';
  //HTTP Authentication Digeest
  RSHTTPAuthInvalidHash = ' hash .      MD5.';
  //SSPI Authentication
  {
  Note: CompleteToken is an API function Name:
  }
  RSHTTPSSPISuccess = '  API';
  RSHTTPSSPINotEnoughMem = '      ';
  RSHTTPSSPIInvalidHandle = '  - ';
  RSHTTPSSPIFuncNotSupported = '   ';
  RSHTTPSSPIUnknownTarget = '  (target)   ';
  RSHTTPSSPIInternalError = 'The Local Security Authority cannot be contacted';
  RSHTTPSSPISecPackageNotFound = '    ';
  RSHTTPSSPINotOwner = 'The caller is not the owner of the desired credentials';
  RSHTTPSSPIPackageCannotBeInstalled = '     ,     ';
  RSHTTPSSPIInvalidToken = 'The token supplied to the function is invalid';
  RSHTTPSSPICannotPack = '      ,  ,    ';
  RSHTTPSSPIQOPNotSupported = 'The per-message Quality of Protection    ';
  RSHTTPSSPINoImpersonation = 'The security context does not allow impersonation of the client';
  RSHTTPSSPILoginDenied = '  ';
  RSHTTPSSPIUnknownCredentials = ',  ,  ';
  RSHTTPSSPINoCredentials = 'No credentials are available in the security package';
  RSHTTPSSPIMessageAltered = 'The message or signature supplied for verification has been altered';
  RSHTTPSSPIOutOfSequence = 'The message supplied for verification is out of sequence';
  RSHTTPSSPINoAuthAuthority = 'No authority could be contacted for authentication.';
  RSHTTPSSPIContinueNeeded = '  ,        ';
  RSHTTPSSPICompleteNeeded = '  ,     CompleteToken';
  RSHTTPSSPICompleteContinueNeeded =  '  ,  CompleteToken         ';
  RSHTTPSSPILocalLogin = ' ,     .        ';
  RSHTTPSSPIBadPackageID = '    ';
  RSHTTPSSPIContextExpired = '       .';
  RSHTTPSSPIIncompleteMessage = '  - .     .';
  RSHTTPSSPIIncompleteCredentialNotInit =  '  - ,    .    .';
  RSHTTPSSPIBufferTooSmall = ',  ,   .';
  RSHTTPSSPIIncompleteCredentialsInit = '  - ,    .       .';
  RSHTTPSSPIRengotiate = 'The context data must be renegotiated with the peer.';
  RSHTTPSSPIWrongPrincipal = 'The target principal name is incorrect.';
  RSHTTPSSPINoLSACode = 'There is no LSA mode context associated with this context.';
  RSHTTPSSPITimeScew = '       .';
  RSHTTPSSPIUntrustedRoot = 'The certificate chain was issued by an untrusted authority.';
  RSHTTPSSPIIllegalMessage = '      .';
  RSHTTPSSPICertUnknown = '      .';
  RSHTTPSSPICertExpired = '   .';
  RSHTTPSSPIEncryptionFailure = '     .';
  RSHTTPSSPIDecryptionFailure = '     .';
  RSHTTPSSPIAlgorithmMismatch = '     ,       .';
  RSHTTPSSPISecurityQOSFailure = '     e -      (,    ).';
  RSHTTPSSPIUnknwonError = ' ';
  {
  Note to translators - the parameters for the next message are below:

  Failed Function Name
  Error Number
  Error Number
  Error Message by Number
  }

  RSHTTPSSPIErrorMsg = 'SSPI %s   #%d(0x%x): %s';

  RSHTTPSSPIInterfaceInitFailed = ' SSPI    ';
  RSHTTPSSPINoPkgInfoSpecified = 'PSecPkgInfo  ';
  RSHTTPSSPINoCredentialHandle = 'No credential handle acquired';
  RSHTTPSSPICanNotChangeCredentials = '     handle aquired.   Release';
  RSHTTPSSPIUnknwonCredentialUse = 'Unknown credentials use';
  RSHTTPSSPIDoAuquireCredentialHandle = '  AcquireCredentialsHandle';
  RSHTTPSSPICompleteTokenNotSupported = 'CompleteAuthToken  ';

  //Block Cipher Intercept
  {$IFDEF 10_2}
  RSBlockIncorrectLength = '     (%d)';
  {$ELSE}
  RSBlockIncorrectLength = '    ';
  {$ENDIF}

  // FTP
  RSFTPUnknownHost = '';
  RSFTPStatusReady = ' ';
  RSFTPStatusStartTransfer = '   FTP';
  RSFTPStatusDoneTransfer  = ' ';
  RSFTPStatusAbortTransfer = ' ';
  RSFTPProtocolMismatch = '   , '; { may not include '(' or ')' }
  RSFTPParamError = '   %s';
  RSFTPParamNotImp = ' %s  ';
  RSFTPInvalidPort = '  ';
  RSFTPInvalidIP = ' IP ';
  RSFTPOnCustomFTPProxyReq = 'OnCustomFTPProxy ,   ';
  RSFTPDataConnAssuranceFailure = 'Data connection assurance check failed.'#10#13+
                                  'Server reported IP: %s  : %d'#10#13+
                                  'Our socket IP: %s  : %d';
  RSFTPProtocolNotSupported = '  , '; { may not include '(' or ')' }
  RSFTPMustUseExtWithIPv6 = 'UseExtensionDataPort   true  IPv6 .';
  RSFTPMustUseExtWithNATFastTrack = 'UseExtensionDataPort   true  NAT fasttracking.';
  RSFTPFTPPassiveMustBeTrueWithNATFT = '      NAT fastracking.';
  RSFTPServerSentInvalidPort = '     (%s)';
  RSInvalidFTPListingFormat = '  FTP-';
  RSFTPNoSToSWithNATFastTrack = ' -    FTP NAT fastracked .';
  RSFTPSToSNoDataProtection = '   dataprotection   -.';
  RSFTPSToSProtosMustBeSame = '    .';
  RSFTPSToSSSCNNotSupported = 'SSCN     .';
  RSFTPNoDataPortProtectionAfterCCC = '   DataPortProtection  CCC issued.';
  RSFTPNoDataPortProtectionWOEncryption = '   DataPortProtection   .';
  RSFTPNoCCCWOEncryption = '   CCC  .';
  RSFTPNoAUTHWOSSL = '   AUTH  SSL.';
  RSFTPNoAUTHCon = '   AUTH   .';
  RSFTPSToSTransferModesMusbtSame = '    .';
  RSFTPNoListParseUnitsRegistered = '  IdFTPListParse .    !';

  // Property editor exceptions
  // Stack Error Messages

  RSCMDNotRecognized = '  ';

  RSGopherNotGopherPlus = '%s -   Gopher+';

  RSCodeNoError     = 'RCode  ';
  RSCodeQueryServer = 'DNS Server Reports Query Server Error';
  RSCodeQueryFormat = 'DNS Server Reports Query Format Error';
  RSCodeQueryName   = 'DNS Server Reports Query Name Error';
  RSCodeQueryNotImplemented = 'DNS Server Reports Query Not Implemented Error';
  RSCodeQueryQueryRefused = 'DNS Server Reports Query Refused Error';
  RSCodeQueryUnknownError = '   ';

  RSDNSTimeout = 'TimedOut';
  RSDNSMFIsObsolete = 'MF -  .  MX.';
  RSDNSMDISObsolete = 'MD -  .  MX.';
  RSDNSMailAObsolete = 'MailA -  .  MX.';
  RSDNSMailBNotImplemented = '-Err 501 MailB  ';

  RSQueryInvalidQueryCount = '   %d';
  RSQueryInvalidPacketSize = '   %d';
  RSQueryLessThanFour = '   .  4 . %d';
  RSQueryInvalidHeaderID = ' Id  %d';
  RSQueryLessThanTwelve = '   .  12 . %d';
  RSQueryPackReceivedTooSmall = '   . %d';
  RSQueryUnknownError = '  %d, Id %d';
  RSQueryInvalidIpV6 = ' IP V6 . %s';
  RSQueryMustProvideSOARecord = '   TIdRR_SOA         IXFR. %d';

  { LPD Client Logging event strings }
  RSLPDDataFileSaved = 'Data file saved to %s';
  RSLPDControlFileSaved = '    %s';
  RSLPDDirectoryDoesNotExist = ' %s  ';
  RSLPDServerStartTitle = 'Winshoes LPD Server %s ';
  RSLPDServerActive = ' : ';
  RSLPDQueueStatus = '  %s: %s';
  RSLPDClosingConnection = ' ';
  RSLPDUnknownQueue = '  %s';
  RSLPDConnectTo = '  %s';
  RSLPDAbortJob = ' ';
  RSLPDReceiveControlFile = '  ';
  RSLPDReceiveDataFile = '  ';

  { LPD Exception Messages }
  RSLPDNoQueuesDefined = ':   ';

  { Trivial FTP Exception Messages }
  RSTimeOut = '';
  RSTFTPUnexpectedOp = '   %s:%d';
  RSTFTPUnsupportedTrxMode = '  : "%s"';
  RSTFTPDiskFull = '    ,    %d ';
  RSTFTPFileNotFound = '   %s';
  RSTFTPAccessDenied = '  %s ';

  { MESSAGE Exception messages }
  RSTIdTextInvalidCount = '  Text. TIdText    1';
  RSTIdMessagePartCreate = 'TIdMessagePart    .   -. ';
  RSTIdMessageErrorSavingAttachment = '  .';
  RSTIdMessageErrorAttachmentBlocked = ' %s .';

  { POP Exception Messages }
  RSPOP3FieldNotSpecified = '  ';
  RSPOP3UnrecognizedPOP3ResponseHeader = 'Unrecognized POP3 Response Header:'#10'"%s"'; //APR: user will see Server response    {Do not Localize}
  RSPOP3ServerDoNotSupportAPOP = 'Server do not support APOP (no timestamp)';//APR    {Do not Localize}

  { IdIMAP4 Exception Messages }
  RSIMAP4ConnectionStateError = '   ,   ;' +
                                 '  : %s.';
  RSUnrecognizedIMAP4ResponseHeader = '   IMAP4.';
  RSIMAP4NumberInvalid = '  (    UID) - ;   1  .';
  RSIMAP4NumberInvalidString = '  (    UID) - ;     .';
  RSIMAP4NumberInvalidDigits = '  (    UID) - ;     .';
  RSIMAP4DisconnectedProbablyIdledOut = '   , ,       .';

  { IdIMAP4 UTF encoding error strings}
  RSIMAP4UTFIllegalChar = '  #%d  UTF7 .';

  RSIMAP4UTFIllegalBitShifting = '    MUTF7 ';
  RSIMAP4UTFUSASCIIInUTF = 'US-ASCII  #%d  UTF7 .';
  { IdIMAP4 Connection State strings }
  RSIMAP4ConnectionStateAny = '';
  RSIMAP4ConnectionStateNonAuthenticated = '';
  RSIMAP4ConnectionStateAuthenticated = '';
  RSIMAP4ConnectionStateSelected = '';

  { Telnet Server }
  RSTELNETSRVUsernamePrompt = ': ';
  RSTELNETSRVPasswordPrompt = ': ';
  RSTELNETSRVInvalidLogin = '   .';
  RSTELNETSRVMaxloginAttempt = '    ,  .';
  RSTELNETSRVNoAuthHandler = '   .';
  RSTELNETSRVWelcomeString = 'Indy Telnet Server';
  RSTELNETSRVOnDataAvailableIsNil = ' OnDataAvailable  nil.';

  { Telnet Client }
  RSTELNETCLIConnectError = '  ';
  RSTELNETCLIReadError = '  .';

  { Network Calculator }
  RSNETCALInvalidIPString     = ' %s     IP.';
  RSNETCALCInvalidNetworkMask = '  .';
  RSNETCALCInvalidValueLength = '  :   32.';
  RSNETCALConfirmLongIPList = '  IP     (%d)   design time.';
  { IdentClient}
  RSIdentReplyTimeout = '   :         ';
  RSIdentInvalidPort = ' :         ';
  RSIdentNoUser = ' :          ';
  RSIdentHiddenUser = ' :        ';
  RSIdentUnknownError = '   :    ,  ,   .';

  {Standard dialog stock strings}
  {}

  { Tunnel messages }
  RSTunnelGetByteRange = '  %s.GetByte [ Bytes]   <> [0..%d]';
  RSTunnelTransformErrorBS = '    ';
  RSTunnelTransformError = ' ';
  RSTunnelCRCFailed = ' CRC';
  RSTunnelConnectMsg = '';
  RSTunnelDisconnectMsg = '';
  RSTunnelConnectToMasterFailed = '    Master ';
  RSTunnelDontAllowConnections = '   ';
  RSTunnelMessageTypeError = '   ';
  RSTunnelMessageHandlingError = '  ';
  RSTunnelMessageInterpretError = '  ';
  RSTunnelMessageCustomInterpretError = '   ';

  { Socks messages }

  { FTP }
  RSDestinationFileAlreadyExists = '-  .';

  { SSL messages }
  RSSSLAcceptError = '    SSL.';
  RSSSLConnectError = '   SSL.';
  RSSSLSettingCipherError = ' SetCipher.';
  RSSSLCreatingContextError = '  SSL .';
  RSSSLLoadingRootCertError = '   root .';
  RSSSLLoadingCertError = '   .';
  RSSSLLoadingKeyError = '   ,  .';
  RSSSLGetMethodError = '  SSL .';
  RSSSLFDSetError = '     SSL';
  RSSSLDataBindingError = '    SSL .';

  {IdMessage Component Editor}
  RSMsgCmpEdtrNew = '&New Message Part...';
  RSMsgCmpEdtrExtraHead = 'Extra Headers Text Editor';
  RSMsgCmpEdtrBodyText = 'Body Text Editor';

  {IdNNTPServer}
  RSNNTPServerNotRecognized = '  ';
  RSNNTPServerGoodBye = ' ';
  RSNNTPSvrImplicitTLSRequiresSSL = 'Implicit NNTP ,  IOHandler    TIdSSLIOHandlerSocketBase.';
  RSNNTPRetreivedArticleFollows = ' article retrieved - head and body follow';
  RSNNTPRetreivedBodyFollows = ' article retrieved - body follows';
  RSNNTPRetreivedHeaderFollows =  ' article retrieved - head follows';
  RSNNTPRetreivedAStaticstsOnly = ' article retrieved - statistics only';
  RSNTTPNewsToMeSendArticle = 'News to me!  <CRLF.CRLF> to end.';
  RSNTTPArticleRetrievedRequestTextSeparately = ' article retrieved - request text separately';
  RSNTTPNotInNewsgroup = 'Not currently in newsgroup';
  RSNNTPExtSupported = ' :';
  
  //IdNNTPServer reply messages
  RSNTTPReplyHelpTextFollows = 'help text follows';
  RSNTTPReplyDebugOutput =  'debug output';
   
  RSNNTPReplySvrReadyPostingAllowed =  'server ready - posting allowed';
  RSNNTPReplySvrReadyNoPostingAllowed =  'server ready - no posting allowed';
  RSNNTPReplySlaveStatus =  'slave status noted';
  RSNNTPReplyClosingGoodby = 'closing connection - goodbye!';
  RSNNTPReplyNewsgroupsFollow = 'list of newsgroups follows';
  RSNNTPReplyHeadersFollow =  'Headers follow';
  RSNNTPReplyOverViewInfoFollows =  'Overview information follows';
  RSNNTPReplyNewNewsgroupsFollow =  'list of new newsgroups follows';
  RSNNTPReplyArticleTransferedOk =  'article transferred ok';
  RSNNTPReplyArticlePostedOk =  'article posted ok';
  RSNNTPReplyAuthAccepted = ' ';

  RSNNTPReplySendArtTransfer = 'send article to be transferred. End with <CR-LF>.<CR-LF>';
  RSNNTPReplySendArtPost =  'send article to be posted. End with <CR-LF>.<CR-LF>';
  RSNNTPReplyMoreAuthRequired = 'More authentication information required';
  RSNNTPReplyContinueTLSNegot = 'Continue with TLS negotiation';

  RSNNTPReplyServiceDiscont =  'service discontinued';
  RSNNTPReplyTLSTempUnavail =  'TLS temporarily not available';
  RSNNTPReplyNoSuchNewsgroup =  'no such news group';
  RSNNTPReplyNoNewsgroupSel =  'no newsgroup has been selected';
  RSNNTPReplyNoArticleSel =  'no current article has been selected';
  RSNNTPReplyNoNextArt =  'no next article in this group';
  RSNNTPReplyNoPrevArt =  'no previous article in this group';
  RSNNTPReplyNoArtNumber =  'no such article number in this group';
  RSNNTPReplyNoArtFound =  'no such article found';
  RSNNTPReplyArtNotWanted =  'article not wanted - do not send it';
  RSNNTPReplyTransferFailed =  'transfer failed - try again later';
  RSNNTPReplyArtRejected =  'article rejected - do not try again.';
  RSNNTPReplyNoPosting =  'posting not allowed';
  RSNNTPReplyPostingFailed =  'posting failed';
  RSNNTPReplyAuthorizationRequired =  '    ';
  RSNNTPReplyAuthorizationRejected = '  ';
  RSNNTPReplyAuthRejected =  ' ';
  RSNNTPReplyStrongEncryptionRequired =  'Strong encryption layer is required';

  RSNNTPReplyCommandNotRec =  'command not recognized';
  RSNNTPReplyCommandSyntax =  'command syntax error';
  RSNNTPReplyPermDenied =  'access restriction or permission denied';
  RSNNTPReplyProgramFault = 'program fault - command not performed';
  RSNNTPReplySecAlreadyActive =  'Security layer already active';

  {IdGopherServer}
  RSGopherServerNoProgramCode = ':   ,   !';

  {IdSyslog}
  RSInvalidSyslogPRI = '  syslog:   PRI';
  RSInvalidSyslogPRINumber = '  syslog:   PRI "%s"';
  RSInvalidSyslogTimeStamp = '  syslog:  timestamp "%s"';
  RSInvalidSyslogPacketSize = '  syslog:    (%d ())';
  RSInvalidHostName = '  .   SYSLOG     ("%s")+';

  {IdOpenSSL}
  RSOSSLModeNotSet = '  .';
  RSOSSLCouldNotLoadSSLLibrary = '    SSL.';
  RSOSSLStatusString = ' SSL: "%s"';
  RSOSSLConnectionDropped = 'SSL  .';
  RSOSSLCertificateLookup = '   SSL.';
  RSOSSLInternal = '   SSL.';

  {IdWinsockStack}
  RSWSockStack = 'Winsock stack';

  {IdSMTPServer}
  RSSMTPSvrCmdNotRecognized = '  ';
  RSSMTPSvrQuit = '';
  RSSMTPSvrOk   = 'OK';
  RSSMTPSvrStartData = '  ;   <CRLF>.<CRLF>';
  RSSMTPSvrAddressOk = '%s  OK';
  RSSMTPSvrAddressError = '%s  ';
  RSSMTPSvrNotPermitted = '%s -   ';
    // !!!YES!!! - do not relay for third parties - otherwise you have a server
    //waiting to be abused by some spammer.
  RSSMTPSvrNoRelay = '   %s';
  RSSMTPSvrWelcome = '   INDY SMTP ';
  RSSMTPSvrHello = ', %s';
  RSSMTPSvrNoHello = '   HELO';
  RSSMTPSvrCmdGeneralError = '  -   : %s';
  RSSMTPSvrXServer = 'Indy SMTP ';
  RSSMTPSvrReceivedHeader = 'by DNSName [127.0.0.1] running Indy SMTP';
  RSSMTPSvrAuthFailed = '  ';
  RSSMTPSvrAddressWillForward = ' %s -  ,   ';
  RSSMTPSvrReqSTARTTLS = '    STARTTLS';
  RSSMTPSvrParmErrMailFrom = ' ! : mail from:<user@domain.com>';
  RSSMTPSvrParmErrRcptTo = '  ! : rcpt to:<a@b.c>';
  RSSMTPSvrParmErr = '     ';
  RSSMTPSvrParmErrNoneAllowed = '  (  )';
  RSSMTPSvrReadyForTLS = '   TLS';
  RSSMTPSvrCmdErrSecurity = '    '; // errorcode 554
  RSSMTPSvrImplicitTLSRequiresSSL = 'Implicit SMTP TLS ,    IOHandler  TIdServerIOHandlerSSL.';
  RSSMTPSvrBadSequence = '  ';
  RSSMTPNotLoggedIn = '   ';
  RSSMTPMailboxUnavailable = '   :    ';
  RSSMTPUserNotLocal = ' %s -  ; ,  <%s>';
  RSSMTPUserNotLocalNoAddr = ' %s -  ;   ';
  RSSMTPUserNotLocalFwdAddr = ' %s -  ;    <%s>';
  RSSMTPTooManyRecipients = '  .';
  RSSMTPAccountDisabled = '  %s ';
  RSSMTPLocalProcessingError = '  ';
  RSSMTPNoOnRcptTo = '  OnRcptTo';
  //data command error replies
  RSSMTPSvrExceededStorageAlloc = '    :    ';
  RSSMTPSvrMailBoxNameNotAllowed = '   :     ';
  RSSMTPSvrTransactionFailed = '  ';
  RSSMTPSvrLocalError = '  :    ';
  RSSMTPSvrInsufficientSysStorage = '   :    ';
  RSSMTPMsgLenLimit = '    ';
  // SPF replies
  RSSMTPSvrSPFCheckFailed = 'SPF %s check failed';
  RSSMTPSvrSPFCheckError = 'SPF %s check error';

  { IdPOP3Server }
  RSPOP3SvrImplicitTLSRequiresSSL = 'Implicit POP3 ,    IOHandler  TIdServerIOHandlerSSL.';
  RSPOP3SvrMustUseSTLS = '  STLS';
  RSPOP3SvrNotHandled = '  : %s';
  RSPOP3SvrNotPermittedWithTLS = '  ,  TLS ';
  RSPOP3SvrNotInThisState = '     ';
  RSPOP3SvrBeginTLSNegotiation = ' TLS ';
  RSPOP3SvrLoginFirst = ',  ';
  RSPOP3SvrInvalidSyntax = ' ';
  RSPOP3SvrClosingConnection = '  .';
  RSPOP3SvrPasswordRequired = ' ';
  RSPOP3SvrLoginFailed = '  ';
  RSPOP3SvrLoginOk = ' ';
  RSPOP3SvrWrongState = ' ';
  RSPOP3SvrInvalidMsgNo = '  ';
  RSPOP3SvrNoOp = 'NOOP';
  RSPOP3SvrReset = '';
  RSPOP3SvrCapaList = '  ';
  RSPOP3SvrWelcome = '   Indy POP3 ';
  RSPOP3SvrUnknownCmd = ',  ';
  RSPOP3SvrUnknownCmdFmt = ',  : %s';
  RSPOP3SvrInternalError = '  ';
  RSPOP3SvrHelpFollows = ' ';
  RSPOP3SvrTooManyCons = '  .   .';
  RSPOP3SvrWelcomeAPOP = '  ';

  // TIdCoder3to4
  RSUnevenSizeInDecodeStream = '   DecodeToStream.';
  RSUnevenSizeInEncodeStream = '   Encode.';
  RSIllegalCharInInputString = '    .';

  // TIdMessageCoder
  RSMessageDecoderNotFound = '   ';
  RSMessageEncoderNotFound = '   ';

  // TIdMessageCoderMIME
  RSMessageCoderMIMEUnrecognizedContentTrasnferEncoding = '   .';

  // TIdMessageCoderUUE
  RSUnrecognizedUUEEncodingScheme = '  UUE .';

  // TIdICMPCast
  RSIPMCastInvalidMulticastAddress = ' IP  -    [224.0.0.0 - 239.255.255.255].';
  RSIPMCastNotSupportedOnWin32 = '     Win32.';
  RSIPMCastReceiveError0 = ' IP   = 0.';

  { IdFTPServer }
  RSFTPDefaultGreeting = 'Indy FTP  .';
  RSFTPOpenDataConn = '    ;  .';
  RSFTPDataConnToOpen = '  OK; about to open data connection.';
  RSFTPDataConnList = ' ASCII    /bin/ls.';
  RSFTPDataConnNList = ' ASCII     .';
  RSFTPDataConnMLst = ' ASCII     ';
  RSFTPCmdSuccessful = ' %s  .';
  RSFTPServiceOpen = '    .';
  RSFTPServerClosed = '   .';
  RSFTPDataConn = '  ;  .';
  RSFTPDataConnClosed = '  .';
  RSFTPDataConnEPLFClosed = '.';
  RSFTPDataConnClosedAbnormally = '   .';
  RSFTPPassiveMode = '    (%s).';
  RSFTPUserLogged = ' , .';
  RSFTPAnonymousUserLogged = '  , .';
  RSFTPFileActionCompleted = '    OK, .';
  RSFTPDirFileCreated = '"%s" .';
  RSFTPUserOkay = '  OK,  .';
  RSFTPAnonymousUserOkay = '  OK,  e-mail  .';
  RSFTPNeedLoginWithUser = '  USER .';
  RSFTPFileActionPending = '       .';
  RSFTPServiceNotAvailable = '  ,   .';
  RSFTPCantOpenDataConn = '    .';
  RSFTPFileActionNotTaken = '     .';
  RSFTPFileActionAborted = '  :    .';
  RSFTPEnteringEPSV = '     (%s)';
  RSFTPClosingConnection = '  ,   .';
  RSFTPPORTDisabled = ' PORT/EPRT .';
  RSFTPPORTRange    = ' PORT/EPRT      (1-1024).';
  RSFTPSameIPAddress = '      IP ,   .';
  RSFTPCantOpenData = '    .';
  RSFTPEPSVAllEntered = ' EPSV ALL ,    EPSV ';
  RSFTPNetProtNotSup = '   ,  %s';
  RSFTPFileOpSuccess = '   ';
  RSFTPInvalidOps = '  %s';
  RSFTPOptNotRecog = '  .';
  RSFTPPropNotNeg = '     .';
  RSFTPClntNoted = 'Noted.';
  RSFTPQuitGoodby = ' .';
  RSFTPPASVBoundPortMaxMustBeGreater = 'PASVBoundPortMax   ,  PASVBoundPortMax.';
  RSFTPPASVBoundPortMinMustBeLess = 'PASVBoundPortMin   ,  PASVBoundPortMax.';
  RSFTPRequestedActionNotTaken = '   .';
  RSFTPCmdNotRecognized = '''%s'':   .';
  RSFTPCmdNotImplemented = ' "%s"  .';
  RSFTPCmdHelpNotKnown = '  %s.';
  RSFTPUserNotLoggedIn = ' .';
  RSFTPActionNotTaken = '   .';
  RSFTPActionAborted = '  :   .';
  RSFTPRequestedFileActionAborted = '    .';
  RSFTPRequestedFileActionNotTaken = '   .';
  RSFTPMaxConnections = '   .   .';
  RSFTPDataConnToOpenStou = '     %s';
  RSFTPNeedAccountForLogin = '    .';
  RSFTPAuthSSL = ' AUTH OK.  SSL';
  RSFTPDataProtBuffer0 = ' PBSZ OK.      0.';

  RSFTPInvalidProtTypeForMechanism = '  PROT   .';
  RSFTPProtTypeClear   = ' PROT OK.  Clear  ';
  RSFTPProtTypePrivate = ' PROT OK.  Private  ';
  RSFTPClearCommandConnection = '    clear-text.';
  RSFTPClearCommandNotPermitted = 'Clear    .';
  RSFTPPBSZAuthDataRequired = 'AUTH  .';
  RSFTPPBSZNotAfterCCC = '   CCC';
  RSFTPPROTProtBufRequired = ' PBSZ   .';
  RSFTPInvalidForParam = '     .';
  RSFTPNotAllowedAfterEPSVAll = '%s    EPSV ALL';

  RSFTPOTPMethod = ' OTP ';
  RSFTPIOHandlerWrong = 'IOHandler -  .';
  RSFTPFileNameCanNotBeEmpty = ' -    ';

  //Note to translators, it may be best to leave the stuff in quotes as the very first
  //part of any phrase otherwise, a FTP client might get confused.
  RSFTPCurrentDirectoryIs = '"%s" -  -  .';
  RSFTPTYPEChanged = '   %s.';
  RSFTPMODEChanged = '   %s.';
  RSFTPMODENotSupported = ' .';
  RSFTPSTRUChanged = '   %s.';
  RSFTPSITECmdsSupported = ' SITE  :';
  RSFTPDirectorySTRU = '%s  .';
  RSFTPCmdEndOfStat = ' ';
  RSFTPCmdExtsSupportedStart = ' :';
  RSFTPCmdExtsSupportedEnd = ' .';
  RSFTPNoOnDirEvent = '   OnListDirectory!';
  RSFTPImplicitTLSRequiresSSL = 'Implicit FTP ,    IOHandler  TIdServerIOHandlerSSL.';

  //%s number of attributes changes
  RSFTPSiteATTRIBMsg = 'site attrib';
  RSFTPSiteATTRIBInvalid = ' ,  .';
  RSFTPSiteATTRIBDone = ' ,   %s .';
  //%s is the umask number
  RSFTPUMaskIs = ' UMASK - %.3d';
  //first %d is the new value, second one is the old value
  RSFTPUMaskSet = 'UMASK   %.3d ( %.3d)';
  RSFTPPermissionDenied = ' .';
  RSFTPCHMODSuccessful = 'CHMOD   .';
  RSFTPHelpBegining = '   (* => unimplemented, + => extension).';
  //toggles for DIRSTYLE SITE command in IIS
  RSFTPOn = 'on';
  RSFTPOff = 'off';
  RSFTPDirStyle = ' MSDOS-  - %s';

  {SYSLog Message}
  // facility
  STR_SYSLOG_FACILITY_KERNEL     = ' ';
  STR_SYSLOG_FACILITY_USER       = '  ';
  STR_SYSLOG_FACILITY_MAIL       = ' ';
  STR_SYSLOG_FACILITY_SYS_DAEMON = ' ';
  STR_SYSLOG_FACILITY_SECURITY1  = ' / (1)';
  STR_SYSLOG_FACILITY_INTERNAL   = ',   syslogd';
  STR_SYSLOG_FACILITY_LPR        = '  ';
  STR_SYSLOG_FACILITY_NNTP       = '  ';
  STR_SYSLOG_FACILITY_UUCP       = ' UUCP';
  STR_SYSLOG_FACILITY_CLOCK1     = '  (1)';
  STR_SYSLOG_FACILITY_SECURITY2  = ' / (2)';
  STR_SYSLOG_FACILITY_FTP        = ' FTP';
  STR_SYSLOG_FACILITY_NTP        = ' NTP';
  STR_SYSLOG_FACILITY_AUDIT      = ' ';
  STR_SYSLOG_FACILITY_ALERT      = 'log alert';
  STR_SYSLOG_FACILITY_CLOCK2     = '  (2)';
  STR_SYSLOG_FACILITY_LOCAL0     = 'local use 0  (local0)';
  STR_SYSLOG_FACILITY_LOCAL1     = 'local use 1  (local1)';
  STR_SYSLOG_FACILITY_LOCAL2     = 'local use 2  (local2)';
  STR_SYSLOG_FACILITY_LOCAL3     = 'local use 3  (local3)';
  STR_SYSLOG_FACILITY_LOCAL4     = 'local use 4  (local4)';
  STR_SYSLOG_FACILITY_LOCAL5     = 'local use 5  (local5)';
  STR_SYSLOG_FACILITY_LOCAL6     = 'local use 6  (local6)';
  STR_SYSLOG_FACILITY_LOCAL7     = 'local use 7  (local7)';
  STR_SYSLOG_FACILITY_UNKNOWN    = '    ';

  // Severity
  STR_SYSLOG_SEVERITY_EMERGENCY     = ':    ';
  STR_SYSLOG_SEVERITY_ALERT         = ':    taken ';
  STR_SYSLOG_SEVERITY_CRITICAL      = ':  ';
  STR_SYSLOG_SEVERITY_ERROR         = ':  ';
  STR_SYSLOG_SEVERITY_WARNING       = ':  ';
  STR_SYSLOG_SEVERITY_NOTICE        = ': ,   ';
  STR_SYSLOG_SEVERITY_INFORMATIONAL = ':  ';
  STR_SYSLOG_SEVERITY_DEBUG         = ':   ';
  STR_SYSLOG_SEVERITY_UNKNOWN       = '    ';

  {LPR Messages}
  {$IFDEF 10_2}
  RSLPRError = ' %d  Job ID %s';
  {$ELSE}
  RSLPRError = ' %s  Job ID %s';
  {$ENDIF}
  RSLPRUnknown = '';

  {IRC Messages}
  RSIRCCanNotConnect = '  IRC  ';
  RSIRCNotConnected = '   .';
  RSIRCClientVersion =  'TIdIRC 1.061 by Steve Williams';
  RSIRCClientInfo = '%s     32- Delphi.';
  RSIRCNick = '';
  RSIRCAltNick = '. ';
  RSIRCUserName = '';
  RSIRCRealName = ' ';
  RSIRCTimeIsNow = '  - %s';

  {HL7 Lower Layer Protocol Messages}
  RSHL7StatusStopped           = '';
  RSHL7StatusNotConnected      = ' ';
  RSHL7StatusFailedToStart     = ' : %s';
  RSHL7StatusFailedToStop      = ' : %s';
  RSHL7StatusConnected         = '';
  RSHL7StatusConnecting        = '';
  RSHL7StatusReConnect         = 'Reconnect at %s: %s';
  RSHL7NotWhileWorking         = '    %s,   HL7 ';
  RSHL7NotWorking              = ' %s,   HL7 ';
  RSHL7NotFailedToStop         = '  -   ';
  RSHL7AlreadyStarted          = '  ';
  RSHL7AlreadyStopped          = '  ';
  RSHL7ModeNotSet              = '  ';
  RSHL7NoAsynEvent             = '   ,  OnMessageArrive  ';
  RSHL7NoSynEvent              = '   ,  OnMessageReceive  ';
  RSHL7InvalidPort             = '  Port %d - ';
  RSHL7ImpossibleMessage       = '  ,    ';
  RSHL7UnexpectedMessage       = '    ,   ';
  RSHL7UnknownMode             = ' ';
  RSHL7ClientThreadNotStopped  = '    ';
  RSHL7SendMessage             = ' ';
  RSHL7NoConnectionFound       = 'Server Connection not locatable,   ';
  RSHL7WaitForAnswer           = '    ,    ';
  RSMFDIvalidObjectType        = '  .           : TStrings, TStream.';
  //TIdHL7 error messages
  RSHL7ErrInternalsrNone       =  '   IdHL7.pas: SynchronousSend  srNone';
  RSHL7ErrNotConn              =   ' ';
  RSHL7ErrInternalsrSent       =  '   IdHL7.pas: SynchronousSend  srSent';
  RSHL7ErrNoResponse           =  '    ';
  RSHL7ErrInternalUnknownVal   =  '   IdHL7.pas: SynchronousSend    ';
  RSHL7Broken                  = 'IdHL7 is broken in Indy 10 for the present';

  
  { TIdURI exceptions }
  RSURINoProto                 = ' Protocol - ';
  RSURINoHost                  = ' Host - ';

  { TIdIOHandlerThrottle}
  RSIHTChainedNotAssigned      = '       I/O Handler   ';

  { TIdSNPP}
  RSSNPPNoMultiLine            = 'TIdSNPP Mess     .';

  {TIdThread}
  RSUnassignedUserPassProv     = ' UserPassProvider!';

  {TIdDirectSMTP}
  RSDirSMTPInvalidEMailAddress = ' Email  %s';
  RSDirSMTPNoMXRecordsForDomain = ' MX    %s';
  RSDirSMTPCantConnectToSMTPSvr = '    MX    %s';
  RSDirSMTPCantAssignHost       = '    Host,   IdDirectSMTP  .';

  {TIdMessageCoderYenc}
  RSYencFileCorrupted           = ' .';
  RSYencInvalidSize             = ' ';
  RSYencInvalidCRC              = ' CRC';

  {TIdSocksServer}
  RSSocksSvrNotSupported        = ' ';
  RSSocksSvrInvalidLogin        = ' ';
  RSSocksSvrWrongATYP           = ' SOCKS5-ATYP';
  RSSocksSvrWrongSocksVersion   = ' SOCKS-version';
  RSSocksSvrWrongSocksCommand   = ' SOCKS-Command';
  RSSocksSvrAccessDenied        = ' ';
  RSSocksSvrUnexpectedClose     = ' ';
  RSSocksSvrPeerMismatch        = 'Peer IP mismatch';

  {TLS Framework}
  RSTLSSSLIOHandlerRequired = 'SSL IOHandler    ';
  RSTLSSSLCanNotSetWhileActive = '        .';
  RSTLSSLCanNotSetWhileConnected = '        .';
  RSTLSSLSSLNotAvailable = 'SSL     .';
  RSTLSSLSSLCmdFailed = '  SSL   .';

  ///IdPOP3Reply
  //user's provided reply will follow this string
  RSPOP3ReplyInvalidEnhancedCode = '  : ';

  //IdSMTPReply
  RSSMTPReplyInvalidReplyStr = '  Reply.';
  RSSMTPReplyInvalidClass = '  Reply.';

  RSUnsupportedOperation = ' .';

  //Mapped port components
  RSEmptyHost = 'Host is empty';    {Do not Localize}
  RSPop3ProxyGreeting = 'POP3 proxy ready';    {Do not Localize}
  RSPop3UnknownCommand = 'command must be either USER or QUIT';    {Do not Localize}
  RSPop3QuitMsg = 'POP3 proxy signing off';    {Do not Localize}

  //IMAP4 Server
  RSIMAP4SvrBeginTLSNegotiation = ' TLS  ';
  RSIMAP4SvrNotPermittedWithTLS = '  ,  TLS ';
  RSIMAP4SvrImplicitTLSRequiresSSL = 'Implicit IMAP4 ,    IOHandler  TIdServerIOHandlerSSLBase.';

  // OTP Calculator
  RSFTPFSysErrMsg = ' ';
  RSOTPUnknownMethod = ' OTP ';

  {$IFDEF DOTNET2_OR_ABOVE}
  RSSSLNETNotAuthenticated = ' ';
  RSSSLNETCertificateRequired = '   ';
  {$ENDIF}
  
implementation

end.
